{
===============================================================================
  Copyright (©) 2002. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 03-11-2002
  Versión actual: 1.0.0
  Fecha versión actual: 03-11-2002
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
===============================================================================
}

unit BarraInformes;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  RdxBotones, ExtCtrls, RdxPaneles, RdxBarras, RdxFrame, ActnList,
  StdCtrls, pngimage;

type
  TfrBarraInformes = class(TRdxFrame)
    Acciones: TActionList;
    actGeneral: TAction;
    actGastos: TAction;
    actVentas: TAction;
    actContabilidad: TAction;
    Panel3: TPanel;
    shSeparador: TShape;
    pnlBarraLateral: TPanel;
    imgFondo: TImage;
    pnlTitulo: TPanel;
    eTitulo: TLabel;
    imgSombra: TImage;
    bInformesGenerales: TRdxBotonLateral;
    bInformesCompras: TRdxBotonLateral;
    bInformesVentas: TRdxBotonLateral;
    bInformesContabilidad: TRdxBotonLateral;
    procedure actGastosExecute(Sender: TObject);
    procedure actVentasExecute(Sender: TObject);
    procedure actGeneralExecute(Sender: TObject);
    procedure actContabilidadExecute(Sender: TObject);
  public
    constructor Create (AOwner: TComponent); override;
  end;

var
  frBarraInformes: TfrBarraInformes;

implementation
{$R *.DFM}
uses
  Principal, Entidades, PantallaInformesGenerales,
  PantallaInformesCompras, PantallaInformesVentas, PantallaInformesContabilidad,
  Configuracion;

constructor TfrBarraInformes.Create (AOwner: TComponent);
begin
  inherited Create(AOwner);
  ConfigurarBarraLateral(Self, Self.Entidad);
  actGeneral.Execute;
end;

procedure TfrBarraInformes.actGastosExecute(Sender: TObject);
begin
  Contenido := TfrInformesCompras.Create(Self);
end;

procedure TfrBarraInformes.actVentasExecute(Sender: TObject);
begin
  Contenido := TfrInformesVentas.Create(Self);
end;

procedure TfrBarraInformes.actGeneralExecute(Sender: TObject);
begin
  Contenido := TfrInformesGenerales.Create(Self);
end;

procedure TfrBarraInformes.actContabilidadExecute(Sender: TObject);
begin
  Contenido := TfrInformesContabilidad.Create(Self);
end;

end.
